<?php
/**
 * Createing an oursteps pannel for customizer
 *
 */

// START oursteps SECTION 
    $wp_customize->add_section(
        'luzuk_premium_oursteps',
        array(
            'title' => __( 'Our Step Section', 'luzuk premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'luzuk_premium_oursteps_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_premium_oursteps_disable',
            array(
                'settings'      => 'luzuk_premium_oursteps_disable',
                'section'       => 'luzuk_premium_oursteps',
                'label'         => __( 'Disable Section', 'luzuk premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk premium' ),
                    'off' => __( 'No', 'luzuk premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'oursteps', 'luzuk_premium_oursteps', $color='#f9f9f9');

lzCustomLable($wp_customize, 'luzuk_sec_ourstepssectionpadding', 'luzuk_premium_oursteps', 'Section Padding');

$wp_customize->add_setting(
    'oursteps_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'oursteps_areaTpadding',
    array(
        'settings'      => 'oursteps_areaTpadding',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'oursteps_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'oursteps_areaBpadding',
    array(
        'settings'      => 'oursteps_areaBpadding',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'oursteps_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'oursteps_title_heading',
        array(
            'settings'      => 'oursteps_title_heading',
            'section'       => 'luzuk_premium_oursteps',
            'label'         => __( 'Section Heading & Sub Heading', 'luzuk' ),
        )
    )
);  

$wp_customize->add_setting(
    'oursteps_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OUR STEPS', 'luzuk' )
    )
);
$wp_customize->add_control(
    'oursteps_title',
    array(
        'settings'      => 'oursteps_title',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);

  // Heading Color
addColorPalatOption($wp_customize, 'oursteps_secttlClr', 'luzuk_premium_oursteps', 'Heading Color', '#111944');


$wp_customize->add_setting(
    'oursteps_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OUR STEPS', 'luzuk' )
    )
);
$wp_customize->add_control(
    'oursteps_subtitle',
    array(
        'settings'      => 'oursteps_subtitle',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'oursteps_secsubttlClr', 'luzuk_premium_oursteps', 'Sub Heading Color', '#F4B504');


$wp_customize->add_setting('luzuk_oursteps_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_oursteps_npp_heading',
        array(
            'settings'      => 'luzuk_oursteps_npp_heading',
            'section'       => 'luzuk_premium_oursteps',
            'label'         => __( 'Number Of Step Plans', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting('luzuk_oursteps_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'luzuk_oursteps_npp_count',
    array(
        'settings'      => 'luzuk_oursteps_npp_count',
        'section'       => 'luzuk_premium_oursteps',
        'type'          => 'select',
        'label'         => __( 'Number Of Plan To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'luzuk_oursteps_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_oursteps_header'.$i,
            array(
                'settings'      => 'luzuk_oursteps_header'.$i,
                'section'       => 'luzuk_premium_oursteps',
                'label'         => __( 'Our Step Box ', 'luzuk' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'luzuk_oursteps_page_icon'.$i,
        array(
            'default'           => 'fa fa-user-o',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'luzuk_oursteps_page_icon'.$i,
            array(
                'settings'      => 'luzuk_oursteps_page_icon'.$i,
                'section'       => 'luzuk_premium_oursteps',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk' ),
            )
        )
    );

lzAddElement($wp_customize, 'luzuk_oursteps_page_numtitle'.$i, 'luzuk_premium_oursteps', $type = 'text', $label="Number", $callback ='luzuk_sanitize_text', $default='01');

lzAddElement($wp_customize, 'luzuk_oursteps_page_title_'.$i, 'luzuk_premium_oursteps', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='MEET CUSTOMERS');

    lzAddElement($wp_customize, 'luzuk_oursteps_page_url_'.$i, 'luzuk_premium_oursteps', $type = 'text', $label="Button Link", $callback ='esc_url', $default='Add link here');

}

lzCustomLable($wp_customize, 'luzuk_ourstepscolor', 'luzuk_premium_oursteps', ' Section Color');

addColorPalatOption($wp_customize, 'oursteps_numClr', 'luzuk_premium_oursteps', 'Number Color', '#fff');

addColorPalatOption($wp_customize, 'oursteps_numBGClr', 'luzuk_premium_oursteps', 'Number BG Color', '#F4B504');

addColorPalatOption($wp_customize, 'oursteps_numBGhvClr', 'luzuk_premium_oursteps', 'Number BG Hover Color', '#111944');

addColorPalatOption($wp_customize, 'oursteps_IconClr', 'luzuk_premium_oursteps', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'oursteps_IconbgClr', 'luzuk_premium_oursteps', 'Icon BG Color', '#d9d9d9');

addColorPalatOption($wp_customize, 'oursteps_IconbghvClr', 'luzuk_premium_oursteps', 'Icon BG Hover Color', '#F4B504');

addColorPalatOption($wp_customize, 'oursteps_titleClr', 'luzuk_premium_oursteps', 'Title Color', '#111944');

addColorPalatOption($wp_customize, 'oursteps_titlehvClr', 'luzuk_premium_oursteps', 'Title Hover Color', '#000');

addColorPalatOption($wp_customize, 'oursteps_titlebrddot', 'luzuk_premium_oursteps', 'Title Boder Dot Color', '#F4B504');

addColorPalatOption($wp_customize, 'oursteps_titlebrd', 'luzuk_premium_oursteps', 'Title Boder Color', '#b7b7b7');

addColorPalatOption($wp_customize, 'oursteps_btnarrowclr', 'luzuk_premium_oursteps', 'Button Arrow Color', '#111944');
